<?php
namespace Claromentis\Search;

$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array();
use Claromentis\Search\QueryBuilders\ElasticsearchQueryBuilder;
class QueryBuilder implements QueryBuilderInterface
{
    protected AdvancedQueryBuilderInterface $inner;
    public function __construct(?string $_c80a67ccfaf6579232efc354d30eb275 = null)
    {
        $this->inner = new ElasticsearchQueryBuilder();
    }
    public function SetParameters(Parameters $_7513206ad0d1ac947614f69369d81e78)
    {
        return $this->inner->SetParameters($_7513206ad0d1ac947614f69369d81e78);
    }
    
    
    
    
    
    public function GetOptions()
    {
        return $this->inner->GetOptions();
    }
    
    
    
    
    
    public function GetQuery()
    {
        return $this->inner->GetQuery();
    }
    public function GetInner() : AdvancedQueryBuilderInterface
    {
        return $this->inner;
    }
}